diff --git a/Makefile b/Makefile
index b84da0f..8924de4 100644
--- a/Makefile
+++ b/Makefile
@@ -4,18 +4,18 @@ CFLAGS = -O2 -Wall
 COMPILE = ${CC} ${CFLAGS}
 OBJS = main.o blowfish.o rwfile.o keys.o wrapbf.o endian.o wrapzl.o
 LDFLAGS = -L/usr/local/lib -lz 
-PREFIX = /usr/local
+PREFIX = ${DESTDIR}/usr/
 
 bcrypt:	${OBJS} Makefile
	${COMPILE} -o bcrypt ${OBJS} ${LDFLAGS}
 
 install:	bcrypt Makefile
	mkdir -p ${PREFIX}/bin;\
-	mkdir -p ${PREFIX}/man/man1;\
+	mkdir -p ${PREFIX}/share/man/man1;\
	cp bcrypt ${PREFIX}/bin;\
-	cp bcrypt.1 ${PREFIX}/man/man1;\
+	cp bcrypt.1 ${PREFIX}/share/man/man1;\
	chmod 755 ${PREFIX}/bin/bcrypt;\
-	chmod 644 ${PREFIX}/man/man1/bcrypt.1
+	chmod 644 ${PREFIX}/share/man/man1/bcrypt.1
 
 main.o:	main.c ${DEFAULTS}
	${COMPILE} -c main.c
@@ -38,6 +38,8 @@ wrapzl.o:	wrapzl.c ${DEFAULTS}
 endian.o:	endian.c ${DEFAULTS}
	${COMPILE} -c endian.c
 
+distclean: clean
+	
 clean:
	rm -rf *.o bcrypt bcrypt.core core bcrypt.tgz 
 
